Bug 506233 - Ruby fails to build on arm -gnueabi systems
Summary: Ruby fails to build on arm -gnueabi systems
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: ruby (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: arm9 Linux
low
medium
Target Milestone: ---
Assignee: Jeroen van Meeuwen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: ARMTracker
TreeView+ depends on / blocked
 
Reported: 2009-06-16 09:05 UTC by Kedar Sovani
Modified: 2009-12-11 18:18 UTC (History)
5 users (show)

Fixed In Version: 1.8.6.368-2.fc10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-21 00:48:42 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
proposed fix (1.11 KB, patch)
2009-06-16 09:07 UTC, Kedar Sovani
no flags Details | Diff

Description Kedar Sovani 2009-06-16 09:05:35 UTC
Description of problem:
The -gnueabi files are installed in directory which is additionally suffixed with a -eabi. This is not taken care of in the spec file. 

Version-Release number of selected component (if applicable):
all

How reproducible:
always

Steps to Reproduce:
1. Rebuild the source rpm on ARM platform
2.
3.

Comment 1 Kedar Sovani 2009-06-16 09:07:57 UTC
Created attachment 348065 [details]
proposed fix

Proposed fix

Comment 2 Jeroen van Meeuwen 2009-06-21 00:48:42 UTC
Applied in upcoming version of ruby, thanks

Comment 3 Fedora Update System 2009-06-21 11:40:00 UTC
ruby-1.8.6.368-2.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/ruby-1.8.6.368-2.fc11

Comment 4 Mamoru TASAKA 2009-06-21 16:14:55 UTC
These new updates still suffers from CVE-2009-1904 issue.
Would you address this, Jeroen?

Comment 5 Jeroen van Meeuwen 2009-06-23 12:56:01 UTC
Pushing a new update (actually a new version)

Comment 6 Fedora Update System 2009-12-10 15:23:03 UTC
ruby-1.8.6.368-2.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/ruby-1.8.6.368-2.fc10

Comment 7 Fedora Update System 2009-12-11 18:18:04 UTC
ruby-1.8.6.368-2.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.